// *****************************************************************************
// DGChromakey.CPP : Opperates on all grChromakey functions.
// *****************************************************************************
// DirectGlide2X                                                Official release
// Copyright (C) 1999                                           Khalid Shaikh
//                                                              Aaron Hilton
//
//    This library is free software; you can redistribute it and/or
//    modify it under the terms of the GNU Library General Public
//    License as published by the Free Software Foundation; either
//    version 2 of the License, or (at your option) any later version.
//
//    This library is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    Library General Public License for more details.
//
//    You should have received a copy of the GNU Library General Public
//    License along with this library; if not, write to the Free
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Khalid Shaikh                                                   1255 Theberge
// kshaikh@ece.mcgill.ca                                        Brossard, Quebec
// http://www.angelic-coders.com/kshaikh (IE4 only)              Canada  J4W 2N2
//
// Please read the GNU CopyLeft License Agreement included with this code.
// Located in: LICENSE.TXT
// *****************************************************************************

#include "stdafx.h"

EXPORT void STD grChromakeyMode( GrChromakeyMode_t mode )
{
	pGlideState->chroma_mode = mode;
	pGlideState->DirtyFlags |=  GlideState::EDirtyFlags::kColor;
}

EXPORT void STD grChromakeyValue( GrColor_t value )
{
	pGlideState->chroma_value = value;
	pDTDState->dwChromaKeyColor = (DGColorARGB8888)(value) & 0x00FFFFFF;
}
