// *****************************************************************************
// DGUtilityTexture.CPP : Opperates on all utility texture (guTex) functions.
// *****************************************************************************
// DirectGlide2X                                                Official release
// Copyright (C) 1999                                           Khalid Shaikh
//                                                              Aaron Hilton
//
//    This library is free software; you can redistribute it and/or
//    modify it under the terms of the GNU Library General Public
//    License as published by the Free Software Foundation; either
//    version 2 of the License, or (at your option) any later version.
//
//    This library is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    Library General Public License for more details.
//
//    You should have received a copy of the GNU Library General Public
//    License along with this library; if not, write to the Free
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Khalid Shaikh                                                   1255 Theberge
// kshaikh@ece.mcgill.ca                                        Brossard, Quebec
// http://www.angelic-coders.com/kshaikh (IE4 only)              Canada  J4W 2N2
//
// Please read the GNU CopyLeft License Agreement included with this code.
// Located in: LICENSE.TXT
// *****************************************************************************

#include "stdafx.h"


// Allocate memory for a mipmap texture.  (Cheapass simple memory management, cool eh?)
EXPORT GrMipMapId_t STD guTexAllocateMemory(GrChipID_t tmu,
											FxU8 evenOddMask,
											int width, int height,
											GrTextureFormat_t format,
											GrMipMapMode_t mmMode,
											GrLOD_t smallLod, GrLOD_t largLod,
											GrAspectRatio_t aspect,
											GrTextureClampMode_t sClamp,
											GrTextureClampMode_t tClamp,
											GrTextureFilterMode_t minFilterMode,
											GrTextureFilterMode_t magFilterMode,
											float lodBias,
											FxBool lodBlend )
{
	return 0;
}


// Change the properties to the mipmap texture.
EXPORT FxBool STD guTexChangeAttributes(GrMipMapId_t mmid,
										int width, int height,
										GrTextureFormat_t format,
										GrMipMapMode_t mmMode,
										GrLOD_t smallLod, GrLOD_t largLod,
										GrAspectRatio_t aspect,
										GrTextureClampMode_t sClamp,
										GrTextureClampMode_t tClamp,
										GrTextureFilterMode_t minFilterMode,
										GrTextureFilterMode_t magFilterMode )
{
	return FXTRUE;
}

// High level texture combine function.
EXPORT void STD guTexCombineFunction( GrChipID_t tmu, GrTextureCombineFnc_t func )
{
}

// Transfer a mipmap to texture memory.
EXPORT void STD guTexDownloadMipMap(GrMipMapId_t mmid, const void *src, const GuNccTable *nccTable )
{
}

// Transfer one level of detail to the mipmap in texture memory.
EXPORT void STD guTexDownloadMipMapLevel( GrMipMapId_t mmid, GrLOD_t lod, const void **src )
{
}

// Retrieve the currently selected mipmap texture handle.
EXPORT GrMipMapId_t STD guTexGetCurrentMipMap( GrChipID_t tmu )
{
	return 0;
}

// Get info associated with the mipmap texture handle.
EXPORT GrMipMapInfo* STD guTexGetMipMapInfo( GrMipMapId_t mmid )
{
	return 0;
}

// Get the free space still available in texture memory.
EXPORT FxU32 STD guTexMemQueryAvail( GrChipID_t tmu )
{
	return 0;
}

// Wipe the texture memory allocations.
EXPORT void STD guTexMemReset( void )
{
}

// Select a mipmap texture.
EXPORT void STD guTexSource( GrMipMapId_t id )
{
}
