////////////////////////////////////////////////////////////////////////////////
// DirectGlide2X.cpp : Wrapper interface, mimic the interface of Glide2X.dll
////////////////////////////////////////////////////////////////////////////////
// *****************************************************************************
// DirectGlide2X                                                Official release
// Copyright (C) 1999                                           Khalid Shaikh
//                                                              Aaron Hilton
//
//    This library is free software; you can redistribute it and/or
//    modify it under the terms of the GNU Library General Public
//    License as published by the Free Software Foundation; either
//    version 2 of the License, or (at your option) any later version.
//
//    This library is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    Library General Public License for more details.
//
//    You should have received a copy of the GNU Library General Public
//    License along with this library; if not, write to the Free
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Khalid Shaikh                                                   1255 Theberge
// kshaikh@ece.mcgill.ca                                        Brossard, Quebec
// http://www.angelic-coders.com/kshaikh (IE4 only)              Canada  J4W 2N2
//
// Please read the GNU CopyLeft License Agreement included with this code.
//																																	 LICENSE.TXT
// *****************************************************************************
// January 10th 1998
//
// For owners of 3Dfx hardware: Please copy the DirectGlide2X.DLL file into your game.EXE's directory


// Simply compile this and copy the DirectGlide2X.DLL into your WINDOWS\SYSTEM
// directory replacing the GLIDE2X.DLL there, the emulator will then be active.
// This should replace all Glide function calls with respective Direct3D
// function calls.  You can then use your D3D drivers to run software.
//
// GLIDELOG a define located below that will enable logging of each Glide
//          function called.  Useful for debugging purposes
//
// D3DLOG   a define located below that will enable logging of all D3D
//          function called.   Useful for debugging purposes
//
// You are free to develop and distribute this code.
//
// Please set your computer to 2 spaced tabs.  I have a utility available to
// convert tabs to spaces which is applied to every official release.  No
// tab keys are present in this file.
//
// *****************************************************************************
// GENERAL INFORMATION
// *****************************************************************************
//
// The wrapper is currently being developed for Unreal.  Founder and organizer
// of the wrapper is Khalid Shaikh (kshaikh@ece.mcgill.ca).  Please contact me
// if you wish to modify this and incorporate changes into the globally
// distributed core.                                             ICQ UIN 1558308
//
// All prior versions of this wrapper should be discarded.  Please go to
// http://www.angelic-coders.com/GlideUnderground for the latest release.
//
// Compiled under Visual C++ 6.0
//
// *****************************************************************************
//345678901234567890123456789012345678901234567890123456789012345678901234567890
//       1         2         3         4         5         6         7         8
// *****************************************************************************
////////////////////////////////////////////////////////////////////////////////


// *****************************************************************************
//  **** DEFINES AND INCLUDES
//   ***************************************************************************

#include "stdafx.h"

BOOL APIENTRY DllMain( HANDLE hModule,
                       DWORD  ul_reason_for_call,
                       LPVOID lpReserved
					 )
{
	// TBI - create the pDTDState and pGlideState structures
	// on Thread attach, and destroy on Thread Detatch.
	// This will help eliminate some of the texture cache 'trashing' problems for Tribes.
/*	static bool bThreadAttached = false;
	if( ul_reason_for_call == DLL_THREAD_ATTACH)
	{
		if( bThreadAttached )
		{
			return FALSE;
		}

		bThreadAttached = true;
	}
*/
	return TRUE;
}

