// Debugging purposes, let's see what is in the color combine.
switch( color_func )
{
	case GR_COMBINE_FUNCTION_ZERO:
		break;
	case GR_COMBINE_FUNCTION_LOCAL:
		break;
	case GR_COMBINE_FUNCTION_LOCAL_ALPHA:
		break;
	case GR_COMBINE_FUNCTION_SCALE_OTHER:
		break;
	case GR_COMBINE_FUNCTION_SCALE_OTHER_ADD_LOCAL:
		break;
	case GR_COMBINE_FUNCTION_SCALE_OTHER_ADD_LOCAL_ALPHA:
		break;

	// Inverted range.
	case GR_COMBINE_FUNCTION_SCALE_OTHER_MINUS_LOCAL:
		break;
	case GR_COMBINE_FUNCTION_SCALE_OTHER_MINUS_LOCAL_ADD_LOCAL:
		break;
	case GR_COMBINE_FUNCTION_SCALE_OTHER_MINUS_LOCAL_ADD_LOCAL_ALPHA:
		break;
	case GR_COMBINE_FUNCTION_SCALE_MINUS_LOCAL_ADD_LOCAL:
		break;
	case GR_COMBINE_FUNCTION_SCALE_MINUS_LOCAL_ADD_LOCAL_ALPHA:
		break;

	default:
		Assert(false); // Unsupported color function.
}

switch( color_factor )
{
	case GR_COMBINE_FACTOR_ZERO:
		break;
	case GR_COMBINE_FACTOR_LOCAL:
		break;
	case GR_COMBINE_FACTOR_OTHER_ALPHA:
		break;
	case GR_COMBINE_FACTOR_LOCAL_ALPHA:
		break;
	case GR_COMBINE_FACTOR_TEXTURE_ALPHA:
		break;
	case GR_COMBINE_FACTOR_LOD_FRACTION:
		break;

	// Inverted range.
	case GR_COMBINE_FACTOR_ONE:
		break;
	case GR_COMBINE_FACTOR_ONE_MINUS_LOCAL:
		break;
	case GR_COMBINE_FACTOR_ONE_MINUS_OTHER_ALPHA:
		break;
	case GR_COMBINE_FACTOR_ONE_MINUS_LOCAL_ALPHA:
		break;
	case GR_COMBINE_FACTOR_ONE_MINUS_TEXTURE_ALPHA:
		break;
	case GR_COMBINE_FACTOR_ONE_MINUS_LOD_FRACTION:
		break;

	default:
		Assert(false); // Unsupported color factor.
}

switch( color_local )
{
	case GR_COMBINE_LOCAL_ITERATED:
		break;
	case GR_COMBINE_LOCAL_CONSTANT:
		break;
	case GR_COMBINE_LOCAL_DEPTH:
		break;

	default:
		Assert(false); // Unsupported color local.
}


switch( color_other )
{
	case GR_COMBINE_OTHER_ITERATED:
		break;
	case GR_COMBINE_OTHER_TEXTURE:
		break;
	case GR_COMBINE_OTHER_CONSTANT:
		break;

	default:
		Assert(false); // Unsupported color other.
}


// Debugging purposes, let's see what is in the alpha combine.
switch( alpha_func )
{
	case GR_COMBINE_FUNCTION_ZERO:
		break;
	case GR_COMBINE_FUNCTION_LOCAL:
		break;
	case GR_COMBINE_FUNCTION_LOCAL_ALPHA:
		break;
	case GR_COMBINE_FUNCTION_SCALE_OTHER:
		break;
	case GR_COMBINE_FUNCTION_SCALE_OTHER_ADD_LOCAL:
		break;
	case GR_COMBINE_FUNCTION_SCALE_OTHER_ADD_LOCAL_ALPHA:
		break;

	// Inverted range.
	case GR_COMBINE_FUNCTION_SCALE_OTHER_MINUS_LOCAL:
		break;
	case GR_COMBINE_FUNCTION_SCALE_OTHER_MINUS_LOCAL_ADD_LOCAL:
		break;
	case GR_COMBINE_FUNCTION_SCALE_OTHER_MINUS_LOCAL_ADD_LOCAL_ALPHA:
		break;
	case GR_COMBINE_FUNCTION_SCALE_MINUS_LOCAL_ADD_LOCAL:
		break;
	case GR_COMBINE_FUNCTION_SCALE_MINUS_LOCAL_ADD_LOCAL_ALPHA:
		break;

	default:
		Assert(false); // Unsupported alpha function.
}

switch( alpha_factor )
{
	case GR_COMBINE_FACTOR_ZERO:
		break;
	case GR_COMBINE_FACTOR_LOCAL:
		break;
	case GR_COMBINE_FACTOR_OTHER_ALPHA:
		break;
	case GR_COMBINE_FACTOR_LOCAL_ALPHA:
		break;
	case GR_COMBINE_FACTOR_TEXTURE_ALPHA:
		break;
	case GR_COMBINE_FACTOR_LOD_FRACTION:
		break;

	// Inverted range.
	case GR_COMBINE_FACTOR_ONE:
		break;
	case GR_COMBINE_FACTOR_ONE_MINUS_LOCAL:
		break;
	case GR_COMBINE_FACTOR_ONE_MINUS_OTHER_ALPHA:
		break;
	case GR_COMBINE_FACTOR_ONE_MINUS_LOCAL_ALPHA:
		break;
	case GR_COMBINE_FACTOR_ONE_MINUS_TEXTURE_ALPHA:
		break;
	case GR_COMBINE_FACTOR_ONE_MINUS_LOD_FRACTION:
		break;

	default:
		Assert(false); // Unsupported alpha factor.
}

switch( alpha_local )
{
	case GR_COMBINE_LOCAL_ITERATED:
		break;
	case GR_COMBINE_LOCAL_CONSTANT:
		break;
	case GR_COMBINE_LOCAL_DEPTH:
		break;

	default:
		Assert(false); // Unsupported alpha local.
}


switch( alpha_other )
{
	case GR_COMBINE_OTHER_ITERATED:
		break;
	case GR_COMBINE_OTHER_TEXTURE:
		break;
	case GR_COMBINE_OTHER_CONSTANT:
		break;

	default:
		Assert(false); // Unsupported alpha other.
}
