// *****************************************************************************
// DGFog.CPP : Opperates on all grFog functions.
// *****************************************************************************
// DirectGlide2X                                                Official release
// Copyright (C) 1999                                           Khalid Shaikh
//                                                              Aaron Hilton
//
//    This library is free software; you can redistribute it and/or
//    modify it under the terms of the GNU Library General Public
//    License as published by the Free Software Foundation; either
//    version 2 of the License, or (at your option) any later version.
//
//    This library is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    Library General Public License for more details.
//
//    You should have received a copy of the GNU Library General Public
//    License along with this library; if not, write to the Free
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Khalid Shaikh                                                   1255 Theberge
// kshaikh@ece.mcgill.ca                                        Brossard, Quebec
// http://www.angelic-coders.com/kshaikh (IE4 only)              Canada  J4W 2N2
//
// Please read the GNU CopyLeft License Agreement included with this code.
// Located in: LICENSE.TXT
// *****************************************************************************

#include "stdafx.h"

EXPORT void STD grFogColorValue( GrColor_t value )
{
	pGlideState->fog_value = value;
	pDTDState->dwFogColor = (DGColorARGB8888)(value);
	pDTDState->Framework.GetD3DDevice()->SetRenderState( D3DRENDERSTATE_FOGCOLOR, pDTDState->dwFogColor );
}

EXPORT void STD grFogMode( GrFogMode_t mode )
{
	// TBI - Implement a fully working fog system.
	/*
	if( mode == GR_FOG_DISABLE )
	{
		pDTDState->Framework.GetD3DDevice()->SetRenderState( D3DRENDERSTATE_FOGENABLE, FALSE);
	} else
	{
		float fStart = 0.f;
		float fEnd = 1.f;
		pDTDState->Framework.GetD3DDevice()->SetRenderState( D3DRENDERSTATE_FOGENABLE, TRUE);
		pDTDState->Framework.GetD3DDevice()->SetRenderState( D3DRENDERSTATE_FOGCOLOR, pDTDState->dwFogColor );
		pDTDState->Framework.GetD3DDevice()->SetRenderState( D3DRENDERSTATE_FOGTABLEMODE, D3DFOG_LINEAR );
		pDTDState->Framework.GetD3DDevice()->SetRenderState( D3DRENDERSTATE_FOGTABLESTART, *(DWORD*)(&fStart));
		pDTDState->Framework.GetD3DDevice()->SetRenderState( D3DRENDERSTATE_FOGTABLEEND, *(DWORD*)(&fEnd));
	}*/
}

EXPORT void STD grFogTable( const GrFog_t table[GR_FOG_TABLE_SIZE] )
{
}
