// *****************************************************************************
// DGLfb.CPP : Opperates on all grLfb (Linear Frame Buffer) functions.
// *****************************************************************************
// DirectGlide2X                                                Official release
// Copyright (C) 1999                                           Khalid Shaikh
//                                                              Aaron Hilton
//
//    This library is free software; you can redistribute it and/or
//    modify it under the terms of the GNU Library General Public
//    License as published by the Free Software Foundation; either
//    version 2 of the License, or (at your option) any later version.
//
//    This library is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    Library General Public License for more details.
//
//    You should have received a copy of the GNU Library General Public
//    License along with this library; if not, write to the Free
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Khalid Shaikh                                                   1255 Theberge
// kshaikh@ece.mcgill.ca                                        Brossard, Quebec
// http://www.angelic-coders.com/kshaikh (IE4 only)              Canada  J4W 2N2
//
// Please read the GNU CopyLeft License Agreement included with this code.
// Located in: LICENSE.TXT
// *****************************************************************************

#include "stdafx.h"

// Store the constant values associated with writing to the linear frame buffer.
EXPORT void STD grLfbConstantAlpha( GrAlpha_t alpha )
{
}

EXPORT void STD grLfbConstantDepth( FxU16 depth )
{
}

// Direct linear frame buffer modification code.
EXPORT FxBool STD grLfbLock(	GrLock_t type,
								GrBuffer_t buffer,
								GrLfbWriteMode_t writeMode,
								GrOriginLocation_t origin,
								FxBool pixelPipeline,
								GrLfbInfo_t *info )
{
	return FXFALSE;
}

EXPORT FxBool STD grLfbUnlock( GrLock_t type, GrBuffer_t buffer )
{
	return FXTRUE;
}

// LFB block read.
EXPORT FxBool STD grLfbReadRegion(	GrBuffer_t src_buffer,
									FxU32 src_x, FxU32 src_y,
									FxU32 src_width, FxU32 src_height,
									FxU32 dst_stride, void *dst_data )
{
	return FXTRUE;
}

// LFB block write.
EXPORT FxBool STD grLfbWriteRegion( GrBuffer_t dst_buffer,
								FxU32 dst_x, FxU32 dst_y,
								GrLfbSrcFmt_t src_format,
								FxU32 src_width, FxU32 src_height,
								FxI32 src_stride, void *src_data )
{
	return FXTRUE;
}

// Reorganize the color bytes, words, in the linear frame buffer.
// TBI - really find out what this function should really be doing here.
EXPORT void STD grLfbWriteColorSwizzle(FxBool swizzleBytes, FxBool swapWords)
{

}

// Set the color format writing mode.
EXPORT void STD grLfbWriteColorFormat(GrColorFormat_t colorFormat)
{

}
