// *****************************************************************************
// DGMisc.CPP : Opperates on all the miscellaneous gr functions.
// *****************************************************************************
// DirectGlide2X                                                Official release
// Copyright (C) 1999                                           Khalid Shaikh
//                                                              Aaron Hilton
//
//    This library is free software; you can redistribute it and/or
//    modify it under the terms of the GNU Library General Public
//    License as published by the Free Software Foundation; either
//    version 2 of the License, or (at your option) any later version.
//
//    This library is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    Library General Public License for more details.
//
//    You should have received a copy of the GNU Library General Public
//    License along with this library; if not, write to the Free
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Khalid Shaikh                                                   1255 Theberge
// kshaikh@ece.mcgill.ca                                        Brossard, Quebec
// http://www.angelic-coders.com/kshaikh (IE4 only)              Canada  J4W 2N2
//
// Please read the GNU CopyLeft License Agreement included with this code.
// Located in: LICENSE.TXT
// *****************************************************************************

#include "stdafx.h"

// TBI - Find out what this is for.
EXPORT void STD grCheckForRoom(FxI32 n)
{
}

// Clip Window.
EXPORT void STD grClipWindow( FxU32 minx, FxU32 miny, FxU32 maxx, FxU32 maxy )
{
}

// Backface culling.
EXPORT void STD grCullMode( GrCullMode_t mode )
{
	pGlideState->cull_mode = mode;

	// Thank you Let!
	switch (mode)
	{
		case GR_CULL_DISABLE:
			pDTDState->Framework.GetD3DDevice()->SetRenderState(D3DRENDERSTATE_CULLMODE, D3DCULL_NONE);
			break;
		case GR_CULL_NEGATIVE:
			pDTDState->Framework.GetD3DDevice()->SetRenderState(D3DRENDERSTATE_CULLMODE, D3DCULL_CCW);
			break;
		case GR_CULL_POSITIVE:
			pDTDState->Framework.GetD3DDevice()->SetRenderState(D3DRENDERSTATE_CULLMODE, D3DCULL_CW);
			break;
	}
}

// Disable all glide effects.
EXPORT void STD grDisableAllEffects( void )
{
}

// Set the dithering mode.
EXPORT void STD grDitherMode( GrDitherMode_t mode )
{
}

// Set the error callback, for debug build only.
typedef void (*GrErrorCallbackFnc_t)( const char *string, FxBool fatal );

EXPORT void STD grErrorSetCallback( GrErrorCallbackFnc_t fnc )
{
}

// Set the gamma correction value.
EXPORT void STD grGammaCorrectionValue( float value )
{
}

// TBI - design a really kickass shameless plug!
EXPORT void STD grGlideShamelessPlug(const FxBool on)
{
}

// TBI - design a really kickass splash animation!
EXPORT void STD grSplash(float x, float y, float width, float height, FxU32 frame)
{
}

// Informs the DirectGlide engine that it may, or may not, perform special optomization tricks.
EXPORT void STD grHints( GrHint_t type, FxU32 hintMask )
{
}

// Pass back the triangle count info.
// TBI - implement the actual triangle counter in the drawing routines.
EXPORT void STD grTriStats(FxU32 *trisProcessed, FxU32 *trisDrawn)
{
	// Fill the values with something semi-sensible.
	*trisProcessed = 1;
	*trisDrawn = 1;
}

// Reset the triangle count information.
EXPORT void STD grResetTriStats( void )
{
}
