//-------------------------------------------------------------------
//	File:		DTDTexture_ARGB_4444.h
//	Created:	17/02/99 0:17AM
//	Author:		Aaron Hilton
//	Comments:	Implement the combined ARGB 4444bit texture format.
//-------------------------------------------------------------------
#ifndef __DTDTexture_ARGB_4444_h_
#define __DTDTexture_ARGB_4444_h_

#include "VTexture.h"

class DTDTexture_ARGB_4444 : public VTexture
{
public:
	//-----------------------------------
	// Create the texture from a given (inclusive) address range.
	bool Create();

	// Announce that the texture needs updating (texture buffer became dirty).
	void Update();
};


#endif // __DTDTexture_ARGB_4444_h_
//-------------------------------------------------------------------
//	History:
//	$Log:$
//-------------------------------------------------------------------
