// DirectGlideSettings.h : A class which stores the settings for the glide wrapper.
//

#if !defined(__DirectGlideSettings_H__)
#define __DirectGlideSettings_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


// DirectGlideSettings - contains the settings to be used by DirectGlide.
class DirectGlideSettings
{
public:
	GUID driverGUID;
	char driverName[256];
	GUID deviceGUID;
	char deviceName[256];

	char modeDesc[256];
	bool bFullScreen;

	bool Load();
	bool Save();
//	bool Aquire();
};

extern DirectGlideSettings dgs;

#endif // __DirectGlideSettings_H__

